// ===========================================================================
// CONTENT  : ABSTRACT CLASS AStringFilter
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 24/02/2006
// HISTORY  :
//  24/02/2006  mdu  CREATED
//
// Copyright (c) 2006, by M.Duchrow. All rights reserved.
// ===========================================================================
package org.pf.text ;

// ===========================================================================
// IMPORTS
// ===========================================================================
import org.pf.text.StringFilter ;
import org.pf.bif.filter.IObjectFilter;

/**
 * Subclasses of this abstract string filter class usually must override
 * only method matches(String).
 * This abstract class ensures that filters can be used with any mechanism
 * based on either org.pf.text.ObjectFilter or org.pf.bif.IObjectFilter.
 *
 * @author M.Duchrow
 * @version 1.0
 */
abstract public class AStringFilter implements StringFilter, IObjectFilter<String>
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  public AStringFilter()
  {
    super() ;
  } // AStringFilter() 

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  
} // class AStringFilter 
