// ===========================================================================
// CONTENT  : CLASS JSONUtil
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.1 - 26/08/2014
// HISTORY  :
//  21/01/2012  mdu  CREATED
//  26/08/2014  mdu  changed -> Set to deprected and moved all code to org.pfsw.text.json.JsonUtil
//
// Copyright (c) 2012-2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pf.text ;

// ===========================================================================
// IMPORTS
// ===========================================================================
import org.pfsw.text.json.JsonUtil;

/**
 * Convenience methods for JavaScript Object Notation (JSON) handling.
 * {@link  <a href="http://www.json.org/" target="blank">JSON Web Site</a>}
 *
 * @author Manfred Duchrow
 * @version 1.1
 * @deprecated Use org.pfsw.text.json.JsonUtil instead.
 * @see JsonUtil
 */
public class JSONUtil extends JsonUtil
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // CLASS VARIABLES
  // =========================================================================
  private static JSONUtil soleInstance = new JSONUtil() ;

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================
  /**
   * Returns the only instance this class supports (design pattern "Singleton")
   */
  public static JSONUtil current()
  {
    return soleInstance ;
  } // current() 

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  protected JSONUtil()
  {
    super() ;
  } // JSONUtil() 

} // class JSONUtil 
