// ===========================================================================
// CONTENT  : INTERFACE IConfigurable
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 18/10/2014
// HISTORY  :
//  18/10/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.configuration;

/**
 * Defines a generic configuration method based on string key/value pairs. 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface IConfigurable
{
  /**
   * Configure the receiver with the provided settings.
   * 
   * @param settings Contains the configuration data as key/value string pairs (must not be null).
   * @throws ConfigurationException in any case of invalid settings or other initialization failure. 
   */
  public void configure(IConfigSettings settings) throws ConfigurationException;

} // interface IConfigurable