// ===========================================================================
// CONTENT  : CLASS JsonParseException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 24/08/2014
// HISTORY  :
//  24/08/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.text.json;

// ===========================================================================
// IMPORTS
// ===========================================================================
import java.lang.Exception;

/**
 * An exception for all kinds of JSON parsing problems.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class JsonParseException extends Exception
{
  private static final long serialVersionUID = -285876971563938406L;
  
  public JsonParseException()
  {
    super();
  }

  public JsonParseException(String message, Throwable cause)
  {
    super(message, cause);
  }

  public JsonParseException(String message)
  {
    super(message);
  }

  public JsonParseException(Throwable cause)
  {
    super(cause);
  }

} // class JsonParseException
